Commands.Net
Keywords: net.corda.finance.contracts.asset.Obligation.Commands.Net class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class Commands.Net

- net.corda.finance.contracts.asset.Obligation.Commands.Net

- All Implemented Interfaces:
    CommandData, NetCommand
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Net
      implements NetCommand

  Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

- - ### Constructor Detail

    - #### Net

          public Net(@NotNull
                     NetType type)

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

      Parameters:
        `type` - The type of netting to apply, see `enum NetType` for options.

  - ### Method Detail

    - #### getType

          @NotNull
          public NetType getType()

      The type of netting to apply,

      see `enum NetType` for options.

      See Also:
        `enum NetType`

    - #### component1

          @NotNull
          public NetType component1()

      The type of netting to apply,

      see `enum NetType` for options.

      See Also:
        `enum NetType`

    - #### copy

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Commands.Net copy(@NotNull
                                                                                         NetType type)

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

    - #### hashCode

          public int hashCode()

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.